| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Attributes | List of all members
_AR2VideoParam1394T Struct Reference

`#include <video1394Private.h>`

Collaboration diagram for _AR2VideoParam1394T:
[legend]

## Public Attributes
int | mode
int | rate
int | speed
int | format7
int | debug
uint32_t | guid [2]
int | width
int | height
int | bits
int | dma_buf_num
int | internal_id
int | status
dc1394camera_t * | camera
dc1394video_mode_t | int_mode
dc1394video_modes_t | modes
dc1394framerate_t | int_rate
dc1394framerates_t | rates
dc1394speed_t | int_speed
dc1394operation_mode_t | int_opmode
dc1394featureset_t | features
pthread_t | capture
AR2VideoBuffer1394T | buffer

## Member Data Documentation

## ◆ bits

int _AR2VideoParam1394T::bits

## ◆ buffer

AR2VideoBuffer1394T _AR2VideoParam1394T::buffer

## ◆ camera

dc1394camera_t* _AR2VideoParam1394T::camera

## ◆ capture

pthread_t _AR2VideoParam1394T::capture

## ◆ debug

int _AR2VideoParam1394T::debug

## ◆ dma_buf_num

int _AR2VideoParam1394T::dma_buf_num

## ◆ features

dc1394featureset_t _AR2VideoParam1394T::features

## ◆ format7

int _AR2VideoParam1394T::format7

## ◆ guid

uint32_t _AR2VideoParam1394T::guid[2]

## ◆ height

int _AR2VideoParam1394T::height

## ◆ int_mode

dc1394video_mode_t _AR2VideoParam1394T::int_mode

## ◆ int_opmode

dc1394operation_mode_t _AR2VideoParam1394T::int_opmode

## ◆ int_rate

dc1394framerate_t _AR2VideoParam1394T::int_rate

## ◆ int_speed

dc1394speed_t _AR2VideoParam1394T::int_speed

## ◆ internal_id

int _AR2VideoParam1394T::internal_id

## ◆ mode

int _AR2VideoParam1394T::mode

## ◆ modes

dc1394video_modes_t _AR2VideoParam1394T::modes

## ◆ rate

int _AR2VideoParam1394T::rate

## ◆ rates

dc1394framerates_t _AR2VideoParam1394T::rates

## ◆ speed

int _AR2VideoParam1394T::speed

## ◆ status

int _AR2VideoParam1394T::status

## ◆ width

int _AR2VideoParam1394T::width

The documentation for this struct was generated from the following file:

- Source/ARX/ARVideo/libdc1394/video1394Private.h